Subject: Re: New on sourceware: texmf-20000804-2
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 30 Jan 2002 09:39:28 +0100

[email-masked] writes:

> Just to confirm that with the latest tetex-20001208-4
> and the cygwin texmf-*-* packages I don't need to 
> set TEXMFMAIN anymore - although I still have
> TEXINPUTS and the font related variables set to
> "${HOME}/somewhere//:" for my CJK stuff.
>
> Well-done!

Thanks.  I think we'll want you to keep your custom TEXINPUTS for
$HOME.  If we'd activate HOMETEXMF in texmf.cnf, it causes problems
for people that use spaces or other non-ASCII characters in their
$HOME/login.  From questions we get on the LilyPond lists, people
don't seem to hesitate to do that any more.

> BTW - pdftex in tetex-20001208-4 depends on the 
> new (10-days-old) libpng 1.0.2.

Hmm, that's not good.  Does that package have a new name?  Otherwise
we're in dire need of versioned depends.
 
> One needs to upgrade that first - or run the
> /etc/postinstall/*{tetex,texmf}* scripts again after ungrading
> libpng.
>
> Re-installing tetex will not re-run the postinstall script for some
> unknown reason.

Ok.  So tetex-beta and texmf-base/-tiny packages need to run the same
postinstall script; we'll have to merge them, I think.

Thanks for the report.
Jan.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/